Batch
Start a Batch Job
Queue a batch of URLs for asynchronous extraction
X-Api-Key<token>
In: header
urlsUrls
URLs to extract in one batch
Items
1 <= items <= 1000ignore_invalid_urls?boolean
If true, invalid URLs are skipped and returned in invalid_urls instead of failing the request
Default
trueformats?Formats
Output formats to return
Default
["markdown"]render_js?boolean
If true, uses a headless browser to render the page for every batch item
Default
falseproxy?
Proxy configuration
headers?|null
wait_config?|null
Response Body
application/json
curl -X POST "https://scraper.geonode.io/v1/batch" \ -H "Content-Type: application/json" \ -d '{ "urls": [ "string" ] }'{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"status": "queued",
"status_url": "string",
"accepted_urls": 0,
"invalid_urls": [
"string"
]
}Empty
Empty
Empty
Empty